org.eclipse.ease.lang.python.jython

## Class JythonScriptEngine

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.core.internal.jobs.InternalJob
    - - org.eclipse.core.runtime.jobs.Job
      - - org.eclipse.ease.AbstractScriptEngine
        - - org.eclipse.ease.AbstractReplScriptEngine
          - - org.eclipse.ease.lang.python.jython.JythonScriptEngine

All Implemented Interfaces:
  java.lang.Comparable, IAdaptable, IReplEngine, IScriptEngine

Direct Known Subclasses:
  JythonDebuggerEngine

    public class JythonScriptEngine
    extends AbstractReplScriptEngine

### Field Summary

Fields
`static java.lang.String` `ENGINE_ID`

### Fields inherited from class org.eclipse.core.runtime.jobs.Job

`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

### Fields inherited from interface org.eclipse.ease.IScriptEngine

`TRACE_SCRIPT_ENGINE`

### Constructor Summary

Constructors
Constructor and Description
`JythonScriptEngine()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `registerJar(java.net.URL url)` Register a jar file and add it to the classpath.
`void` `setErrorStream(java.io.OutputStream errorStream)` Set the default error stream for the interpreter.
`void` `setInputStream(java.io.InputStream inputStream)` Set the default input stream for the interpreter.
`void` `setOutputStream(java.io.OutputStream outputStream)` Set the default output stream for the interpreter.
`void` `terminateCurrent()` Stops the currently executed piece of code.

### Methods inherited from class org.eclipse.ease.AbstractReplScriptEngine

`getDefinedVariables, getLastExecutionResult, getTerminateOnIdle, getType, isIdle, setTerminateOnIdle, terminate, toString`

### Methods inherited from class org.eclipse.ease.AbstractScriptEngine

`addExecutionListener, addSecurityCheck, executeAsync, executeSync, extractArguments, getCurrentScriptEngine, getDescription, getErrorStream, getExecutedFile, getInputStream, getLaunch, getMonitor, getOutputStream, getStackTrace, getVariable, getVariables, hasVariable, inject, injectUI, isFinished, join, removeExecutionListener, removeSecurityCheck, setCloseStreamsOnTerminate, setEngineDescription, setExecutionRootFile, setLaunch, setVariable`

### Methods inherited from class org.eclipse.core.runtime.jobs.Job

`addJobChangeListener, belongsTo, cancel, create, create, createSystem, createSystem, createSystem, done, getJobGroup, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, join, removeJobChangeListener, schedule, schedule, setJobGroup, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, toString, wakeUp, wakeUp, yieldRule`

### Methods inherited from class org.eclipse.core.internal.jobs.InternalJob

`compareTo`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.ease.IScriptEngine

`addExecutionListener, addSecurityCheck, executeAsync, executeSync, getDescription, getErrorStream, getExecutedFile, getInputStream, getLaunch, getMonitor, getName, getOutputStream, getVariable, getVariables, hasVariable, inject, injectUI, isFinished, join, removeExecutionListener, removeSecurityCheck, schedule, setCloseStreamsOnTerminate, setVariable`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Field Detail

#### ENGINE_ID

    public static final java.lang.String ENGINE_ID

See Also:
  Constant Field Values

### Constructor Detail

#### JythonScriptEngine

    public JythonScriptEngine()

### Method Detail

#### terminateCurrent

    public void terminateCurrent()

Description copied from interface: `IScriptEngine`
Stops the currently executed piece of code. Will continue to execute the next scheduled piece of code.

#### setOutputStream

    public void setOutputStream(java.io.OutputStream outputStream)

Description copied from interface: `IScriptEngine`
Set the default output stream for the interpreter.

Specified by:
  `setOutputStream` in interface `IScriptEngine`
Overrides:
  `setOutputStream` in class `AbstractScriptEngine`
Parameters:
  `outputStream` - default output stream

#### setInputStream

    public void setInputStream(java.io.InputStream inputStream)

Description copied from interface: `IScriptEngine`
Set the default input stream for the interpreter.

Specified by:
  `setInputStream` in interface `IScriptEngine`
Overrides:
  `setInputStream` in class `AbstractScriptEngine`
Parameters:
  `inputStream` - default input stream

#### setErrorStream

    public void setErrorStream(java.io.OutputStream errorStream)

Description copied from interface: `IScriptEngine`
Set the default error stream for the interpreter.

Specified by:
  `setErrorStream` in interface `IScriptEngine`
Overrides:
  `setErrorStream` in class `AbstractScriptEngine`
Parameters:
  `errorStream` - default error stream

#### registerJar

    public void registerJar(java.net.URL url)

Description copied from interface: `IScriptEngine`
Register a jar file and add it to the classpath. After registering, classes within the jar file shall be usable within the script.

Parameters:
  `url` - url to load jar file from